
var GAME_OVER_TIME = 3;

var totalTimeSurvived = 0;

var counterPrint = function(counter)
{
	print_min_n = Math.floor(counter / 60);
	print_min = print_min_n < 10 ? '0' + print_min_n : print_min_n;

	print_sec_n = counter % 60;
	print_sec = print_sec_n < 10 ? '0' + print_sec_n : print_sec_n;
	return print_min + ':' + print_sec;
}

var PrincipalGame = function()
{

}

PrincipalGame.Boot = function(game){
	this.game = game;

}
PrincipalGame.Boot.prototype = {
	init: function(){
		this.game.stage.backgroundColor = '#000000';
		this.resize();
	},
	preload: function(){
        this.load.image('splash1', 'assets/images/loadbg.png');
        this.load.image('loading', 'assets/images/loading.png');
		this.load.image('preloaderBar', 'assets/images/load.png');
        this.load.image('preloaderFrame', 'assets/images/load_marco.png');
	},
	create: function(){
		game.state.start('Preload');
	},
	resize: function(){
		//Poner para deployar en telefono.
		
        this.scale.scaleMode = Phaser.ScaleManager.NO_SCALE ;
		this.scale.pageAlignHorizontally = true;
		

	}
}
